Freeciv-3.1: /fast/freeciv/nightly/S3_1/utility/registry.h File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Functions
registry.h File Reference
`#include "shared.h"`
`#include "registry_ini.h"`

Go to the source code of this file.

## Functions

void | registry_module_init (void)
void | registry_module_close (void)
struct section_file * | secfile_new (bool allow_duplicates)
void | secfile_destroy (struct section_file *secfile)
struct section_file * | secfile_load (const char *filename, bool allow_duplicates)
void | secfile_allow_digital_boolean (struct section_file *secfile, bool allow_digital_boolean)
const char * | secfile_error (void)
const char * | section_name (const struct section *psection)

## Function Documentation

## ◆ registry_module_close()

void registry_module_close | ( | void |  | ) |

Closes registry module

Definition at line 40 of file registry.c.

Referenced by client_exit(), fcmp_deinit(), main(), and server_quit().

## ◆ registry_module_init()

void registry_module_init | ( | void |  | ) |

Initialize registry module

Definition at line 30 of file registry.c.

Referenced by client_main(), fcmp_init(), main(), and srv_init().

## ◆ secfile_allow_digital_boolean()

void secfile_allow_digital_boolean | ( | struct section_file * | secfile,
|  | bool | allow_digital_boolean
| ) |  |

Set if we could consider values 0 and 1 as boolean. By default, this is not allowed, but we need to keep compatibility with old Freeciv version for savegames, ruleset etc.

Definition at line 124 of file section_file.c.

## ◆ secfile_destroy()

void secfile_destroy | ( | struct section_file * | secfile | ) |

Free a section file.

Definition at line 95 of file section_file.c.

Referenced by audio_shutdown(), boot_help_texts(), comments_load(), download_modpack_list(), download_modpack_recursive(), ensure_big_sprite(), game_ruleset_free(), handle_single_want_hack_req(), load_command(), load_install_info_list(), nullcheck_secfile_destroy(), reload_rulesets_settings(), save_thread_data_free(), scan_specfile(), scan_specfile(), secfile_from_input_file(), send_client_wants_hack(), theme_ensure_big_sprite(), theme_read_toplevel(), tileset_read_toplevel(), update_scenario_page(), and fc_client::update_scenarios_page().

## ◆ secfile_error()

const char * secfile_error | ( | void |  | ) |

Returns the last error which occurred in a string. It never returns NULL.

Definition at line 36 of file section_file.c.

Referenced by audio_real_init(), boot_help_texts(), color_system_read(), compat_load_020400(), compat_load_020500(), compat_load_020600(), ensure_big_sprite(), handle_single_want_hack_req(), load_command(), load_nation_names(), load_ruleset_buildings(), load_ruleset_game(), load_ruleset_governments(), load_ruleset_nations(), load_ruleset_terrain(), load_ruleset_units(), lookup_req_list(), message_options_load(), openload_luadata_file(), openload_ruleset_file(), reload_rulesets_settings(), rscompat_check_capabilities(), save_thread_run(), scan_specfile(), scan_specfile(), setting_ruleset_one(), settings_game_load(), sg_load_game(), sg_load_game(), sg_load_history(), sg_load_history(), sg_load_map_owner(), sg_load_map_owner(), sg_load_player_attributes(), sg_load_player_attributes(), sg_load_player_cities(), sg_load_player_cities(), sg_load_player_city(), sg_load_player_city(), sg_load_player_main(), sg_load_player_main(), sg_load_player_unit(), sg_load_player_unit(), sg_load_player_units(), sg_load_player_units(), sg_load_player_units_transport(), sg_load_player_units_transport(), sg_load_player_vision_city(), sg_load_player_vision_city(), sg_load_players_basic(), sg_load_players_basic(), sg_load_random(), sg_load_random(), sg_load_researches(), sg_load_researches(), sg_load_savefile(), sg_load_savefile(), sg_load_scenario(), theme_ensure_big_sprite(), theme_read_toplevel(), and tileset_read_toplevel().

## ◆ secfile_load()

struct section_file * secfile_load | ( | const char * | filename,
|  | bool | allow_duplicates
| ) |  |

Create a section file from a file. Returns NULL on error.

Definition at line 50 of file registry.c.

Referenced by audio_real_init(), boot_help_texts(), comments_load(), ensure_big_sprite(), handle_single_want_hack_req(), load_command(), load_install_info_list(), openload_luadata_file(), openload_ruleset_file(), scan_specfile(), scan_specfile(), sg_load_savefile(), theme_ensure_big_sprite(), theme_read_toplevel(), and tileset_read_toplevel().

## ◆ secfile_new()

struct section_file * secfile_new | ( | bool | allow_duplicates | ) |

Create a new empty section file.

Definition at line 73 of file section_file.c.

Referenced by create_ruleset_file(), save_game(), secfile_from_input_file(), and send_client_wants_hack().

## ◆ section_name()

const char * section_name | ( | const struct section * | psection | ) |

Returns the section name.

Definition at line 65 of file section_file.c.

Referenced by boot_help_texts(), entry_path(), load_building_names(), load_game_names(), load_government_names(), load_nation_names(), load_ruleset_buildings(), load_ruleset_cities(), load_ruleset_effects(), load_ruleset_game(), load_ruleset_governments(), load_ruleset_nations(), load_ruleset_styles(), load_ruleset_techs(), load_ruleset_units(), load_style_names(), load_tech_names(), load_terrain_names(), load_unit_names(), scan_specfile(), scan_specfile(), secfile_check_unused(), secfile_log(), secfile_save(), secfile_section_by_name(), secfile_sections_by_name_prefix(), settable_options_load(), and tileset_read_toplevel().